#
# spec file for package kon2 (Version 0.3.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ncurses ncurses-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         kon2
Copyright:    distributable
Group:        Applications/System
Autoreqprov:  on
Version:      0.3.9
Release:      117
#Provides:     
Requires:     kon2font = %{version}
#URL: 
Source0:      ftp://ftp.linet.gr.jp/pub/KON/%{name}-%{version}.tar.gz
Source1:      ftp.linux.or.jp/pub/PJE/PJE-0.1beta/tgz/install/konfnt.tgz
# Korean bdf fonts
Source2:      hanfnt.tgz
# English and German manpages
Source3:      kon-english.1
Source4:      kon-german.1
# wrapper script to start kon
Source5:      kon.sh            
Patch0:       kon2-0.3.9-config.patch
Patch1:       kon2-0.3.9-config-file.patch
Patch2:       kon2-0.3.9-startup.patch
Patch3:       kon2-0.3.9-s3.patch
# only for input, display of hangul works fine even without
# these patches. kon2-0.3.9-hangul-input-new.patch contains the
# new files (Korean comments, euc-kr!), kon2-0.3.9-hangul-input-misc.patch
# contains the changes to the files which were already part of kon.
Patch4:       kon2-0.3.9-hangul-input-new.patch
Patch5:       kon2-0.3.9-hangul-input-misc.patch
BuildRoot:    /var/tmp/%{name}-root
Summary:      Kanji ON Linux console
#Summary(ja): KON  Linux Υ󥽡̾Ǵɽ뤿ΥץǤ
#Obsoletes:    

%description
KON is a program to enable display of Japanese kanji characters on the Linux console.

Authors:
--------
    Without titles and in order of the time of contribution:
    
    Tommy Frandsen <frandsen@diku.dk> VGA graphic library (vgalib)
    <nemossan@uitec.ac.jp> == <nemossan@mix>
    <takamiti@mix> MINIX-V fonts and font loader.
    <maebashi@mcs.meitetsu.co.jp>
    <yamamoto@sws.cpd.mei.co.jp> MINIX-V font loader.
    <kensyu@rabbit.is.s.u-tokyo.ac.jp> FONTX version 2 font file loader (fontx2.c)
    <komeda@ics.es.osaka-u.ac.jp> $B%*!<%H%i%C%WEy$K4X$9$k%Q%C%A(B
    <mad@nak.math.keio.ac.jp> virtual console stuff (vc.c $B$N(B EnterVC,LeavVC,InitVC), kernel message display (syslogk.c)
    <obuk@MIX> J3100sx stuff
    <kazu@jl1keo.tama.prug.or.jp> ROM font loader for J3100 BOLD
    <miura@is.aist-nara.ac.jp> support for PS/2 mouse
    <hibara@psrc.isac.co.jp> things related to MONO mode
    -----------------------------------------------------------
    <mad@nak.math.keio.ac.jp>
    <manabe@papilio.tutics.tut.ac.jp> other programs, putting everything together

SuSE series: han

%package -n kon2font
Summary:      Public Domain fonts for KON.
#Summary(ja): KON ѤΥեȤǤ
Group: Applications/System

%description -n kon2font
Public Domain fonts for KON.

SuSE series: han

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%setup -D -a 1 -a 2 -T
head -n 27 src/main.c > Copyright

%build
CFLAGS="$RPM_OPT_FLAGS" \
make 

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   install -d -m755 $RPM_BUILD_ROOT
fi
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/man/ja/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/man/de/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/fonts
mkdir -p $RPM_BUILD_ROOT/etc
make install TOPDIR=$RPM_BUILD_ROOT
# install terminfo entry-description
tic terminfo.kon
mkdir -p $RPM_BUILD_ROOT/usr/share/terminfo/k
cp /usr/share/terminfo/k/kon $RPM_BUILD_ROOT/usr/share/terminfo/k
# mv the "kon" executable to "kon.bin" and install a wrapper script
# under the name "kon" instead:
mv       $RPM_BUILD_ROOT/usr/bin/kon $RPM_BUILD_ROOT/usr/bin/kon.bin
install -m 0755 $RPM_SOURCE_DIR/kon.sh $RPM_BUILD_ROOT/usr/bin/kon
# install the fonts:
install -m 0444 usr/share/fonts/pubfont.a.gz  $RPM_BUILD_ROOT/usr/share/fonts
install -m 0444 usr/share/fonts/pubfont.k.gz  $RPM_BUILD_ROOT/usr/share/fonts
install -m 0444 hanfnt/ksci16.bdf.gz          $RPM_BUILD_ROOT/usr/share/fonts
install -m 0444 hanfnt/8x16pc.bdf.gz          $RPM_BUILD_ROOT/usr/share/fonts
install -m 0444 hanfnt/h16m.bdf.gz            $RPM_BUILD_ROOT/usr/share/fonts
# install the English and German man pages:
install -m 0444 $RPM_SOURCE_DIR/kon-english.1 $RPM_BUILD_ROOT/%{_mandir}/man1/kon.1
install -m 0444 $RPM_SOURCE_DIR/kon-german.1 $RPM_BUILD_ROOT/%{_mandir}/de/man1/kon.1
# convenience link to "han", because Korean users might know 
# this program under the name "han":
ln -s -f /usr/bin/kon $RPM_BUILD_ROOT/usr/bin/han

%clean
rm -rf $RPM_BUILD_ROOT

%post
# canuum needs a termcap entry, without it canuum won't run under kon:
if [ -f etc/termcap ]; then
    if [ `grep -c '^kon|kanji on console' etc/termcap` -eq 0 ]; then
	cat %{_defaultdocdir}/kon2/termcap.kon >> etc/termcap
    fi
fi

%files
%defattr(-, root, root)
%attr (4755, root, root) /usr/bin/kon.bin
/usr/bin/kon
/usr/bin/han
/usr/bin/fld
/usr/bin/swkon
%attr (4755, root, root) /usr/bin/newvc
%config /etc/kon.cfg
%doc %{_mandir}/man1/kon.1*
%doc %{_mandir}/de/man1/kon.1*
%doc %{_mandir}/ja/man1/kon.1*
%doc Copyright ./doc/* terminfo.kon termcap.kon
/usr/share/terminfo/k/kon

%files -n kon2font
%defattr(-, root, root)
%dir /usr/share/fonts/
/usr/share/fonts/pubfont.a.gz
/usr/share/fonts/pubfont.k.gz
/usr/share/fonts/ksci16.bdf.gz
/usr/share/fonts/8x16pc.bdf.gz
/usr/share/fonts/h16m.bdf.gz

%changelog -n kon2
* Sat Jun 16 2001 - mfabian@suse.de
- canuum really needs the /etc/termcap entry, therefore I added
  add a "%%post" script again which adds termcap entry if
  the file etc/termcap exists and doesn't yet have an entry for kon
* Mon Apr 09 2001 - mfabian@suse.de
- remove "%%post" script to add /etc/termcap entry. It is not
  needed and causes problems when the file /etc/termcap is not
  yet installed.
* Fri Apr 06 2001 - mfabian@suse.de
- forgot to remove "Prereq: /usr/bin/tic"
* Tue Mar 27 2001 - mfabian@suse.de
- don't call "tic" in %%post, pack terminfo entry-description
  into the rpm instead
* Mon Oct 02 2000 - mfabian@suse.de
- added support for Korean input
* Sun Oct 01 2000 - mfabian@suse.de
- enabled command line option "-Startup" to make it possible to
  select Korean or Japanese fonts without having to edit the
  config file.
- added wrapper script which uses the new "-Startup" option
- added Korean fonts
- created English and German manpages
* Mon Sep 11 2000 - mfabian@suse.de
- remove %%{?suse_update_config}, it is not needed and makes the
  build fail on 6.4K-i386
- use %%{_defaultdocdir} instead of /usr/share/doc/packages,
  otherwise the build fails on 6.4K-i386
* Wed Aug 09 2000 - mfabian@suse.de
- manpage moved from ja_JP.eucJP subdirectory to ja subdirectory
- corrected error with "Requires: kon2font"
* Fri Jul 28 2000 - mfabian@suse.de
- new package: kon2-0.3.9
